Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003176 [JEDI VCL] 00 JVCL Components minor always 2005-09-02 01:48 2005-09-23 17:25
Reporter fredatwork View Status public  
Assigned To remkobonte
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003176: JvCreateProcess, problem using CloseApplication method with a process in Hiden Status
Description I run a process (Apache.exe) with ShowWindow=swHide, when I call CloseApplication to try to finish him in a clean way, the process won't stop.

When the process is in swNormal mode, this bug does not appear.

The Apache process could be stopped by sending a WM_CLOSE message.
Additional Information Solution:

In the jvCreateProcess.pas unit, in the method "InternalCloseApp", we just have to
comment the following line to correct the problem. WM_CLOSE message could be send to Invisible Window.

// Comment this Line. if IsWindowVisible(Wnd) then
    PostMessage(Wnd, WM_CLOSE, 0, 0);
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007916)
remkobonte (developer)
2005-09-05 14:52

I don't know why the IsWindowVisible check is there, so I have to investigate it a bit, before committing your fix to CVS.

Anyway, thanks for the report.
(0007972)
remkobonte (developer)
2005-09-23 17:24

I added a check to determine whether the handle is of a console; I could not determine why the IsWindowVisible check is there.

This is in rev 1.29 of JvCreateProcess.pas

- Issue History
Date Modified Username Field Change
2005-09-02 01:48 fredatwork New Issue
2005-09-05 14:52 remkobonte Note Added: 0007916
2005-09-23 17:24 remkobonte Status new => resolved
2005-09-23 17:24 remkobonte Resolution open => fixed
2005-09-23 17:24 remkobonte Assigned To => remkobonte
2005-09-23 17:24 remkobonte Note Added: 0007972


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker